# Enrollments ## Get enrollment details **get** `/v1/enrollments/{enrollment_id}` Retrieves detailed information for a specific enrollment by ID. ### Path Parameters - `enrollment_id: string` Unique enrollment identifier (enrl_*) ### Returns - `data: Enrollment` - `id: string` Unique enrollment identifier (enrl_*) - `answered_at: string` When the employee enrolled or waived - `benefit: object { id, category, name, product_code }` Nested benefit product summary - `id: string` Benefit product ID (bprd_*) - `category: "Medical" or "Dental" or "Vision" or "Hospital"` * `Medical` - Medical * `Dental` - Dental * `Vision` - Vision * `Hospital` - Hospital - `"Medical"` - `"Dental"` - `"Vision"` - `"Hospital"` - `name: string` Display name of the benefit product - `product_code: "EBA" or "VPC" or "VPC_CORE" or 12 more` * `EBA` - Eba Mec * `VPC` - Vpc Enhanced * `VPC_CORE` - Vpc Core * `MEC` - Vpc Mec * `MEC2` - Mec2 * `MEC_PLUS` - Mec Plus * `MVP` - Mvp * `MVP2` - Mvp2 * `MVPSL` - Mvpsl * `MVPSL2` - Mvpsl2 * `VD` - Dental * `VV` - Vision * `ICHRA` - Ichra * `ICHRA_PREMIUM_PLUS` - Ichra Premium Plus * `ICHRA_REIMBURSEMENT_ONLY` - Ichra Reimbursement Only - `"EBA"` - `"VPC"` - `"VPC_CORE"` - `"MEC"` - `"MEC2"` - `"MEC_PLUS"` - `"MVP"` - `"MVP2"` - `"MVPSL"` - `"MVPSL2"` - `"VD"` - `"VV"` - `"ICHRA"` - `"ICHRA_PREMIUM_PLUS"` - `"ICHRA_REIMBURSEMENT_ONLY"` - `coverage_end: string` Coverage period end date - `coverage_start: string` Coverage period start date - `created_at: string` When the enrollment was created - `employee_deduction_in_cents: number` Employee monthly payroll deduction in cents - `employee_id: string` Employee ID (empl_*) - `employer_contribution_in_cents: number` Employer monthly contribution in cents - `employer_id: string` Employer ID (empr_*) - `status: EnrollmentStatus` * `pending` - Pending * `enrolled` - Enrolled * `waived` - Waived * `inactive` - Inactive - `"pending"` - `"enrolled"` - `"waived"` - `"inactive"` - `terminated_at: string` When coverage was terminated - `updated_at: string` When the enrollment was last updated ### Example ```http curl https://api.vitablehealth.com/v1/enrollments/$ENROLLMENT_ID \ -H "Authorization: Bearer $VITABLE_CONNECT_API_KEY" ``` #### Response ```json { "data": { "id": "enrl_abc123def456", "employee_id": "empl_xyz789ghi012", "employer_id": "empr_def456ghi789", "benefit": { "id": "bprd_medical456", "name": "MEC Plus", "product_code": "MEC_PLUS", "category": "Medical" }, "status": "enrolled", "coverage_start": "2026-04-01", "coverage_end": "2027-03-31", "employee_deduction_in_cents": 5000, "employer_contribution_in_cents": 25000, "answered_at": "2026-01-20T14:30:00Z", "terminated_at": null, "created_at": "2026-01-15T10:30:00Z", "updated_at": "2026-01-15T10:30:00Z" } } ``` ## Domain Types ### Enrollment - `Enrollment = object { id, answered_at, benefit, 10 more }` - `id: string` Unique enrollment identifier (enrl_*) - `answered_at: string` When the employee enrolled or waived - `benefit: object { id, category, name, product_code }` Nested benefit product summary - `id: string` Benefit product ID (bprd_*) - `category: "Medical" or "Dental" or "Vision" or "Hospital"` * `Medical` - Medical * `Dental` - Dental * `Vision` - Vision * `Hospital` - Hospital - `"Medical"` - `"Dental"` - `"Vision"` - `"Hospital"` - `name: string` Display name of the benefit product - `product_code: "EBA" or "VPC" or "VPC_CORE" or 12 more` * `EBA` - Eba Mec * `VPC` - Vpc Enhanced * `VPC_CORE` - Vpc Core * `MEC` - Vpc Mec * `MEC2` - Mec2 * `MEC_PLUS` - Mec Plus * `MVP` - Mvp * `MVP2` - Mvp2 * `MVPSL` - Mvpsl * `MVPSL2` - Mvpsl2 * `VD` - Dental * `VV` - Vision * `ICHRA` - Ichra * `ICHRA_PREMIUM_PLUS` - Ichra Premium Plus * `ICHRA_REIMBURSEMENT_ONLY` - Ichra Reimbursement Only - `"EBA"` - `"VPC"` - `"VPC_CORE"` - `"MEC"` - `"MEC2"` - `"MEC_PLUS"` - `"MVP"` - `"MVP2"` - `"MVPSL"` - `"MVPSL2"` - `"VD"` - `"VV"` - `"ICHRA"` - `"ICHRA_PREMIUM_PLUS"` - `"ICHRA_REIMBURSEMENT_ONLY"` - `coverage_end: string` Coverage period end date - `coverage_start: string` Coverage period start date - `created_at: string` When the enrollment was created - `employee_deduction_in_cents: number` Employee monthly payroll deduction in cents - `employee_id: string` Employee ID (empl_*) - `employer_contribution_in_cents: number` Employer monthly contribution in cents - `employer_id: string` Employer ID (empr_*) - `status: EnrollmentStatus` * `pending` - Pending * `enrolled` - Enrolled * `waived` - Waived * `inactive` - Inactive - `"pending"` - `"enrolled"` - `"waived"` - `"inactive"` - `terminated_at: string` When coverage was terminated - `updated_at: string` When the enrollment was last updated ### Enrollment Status - `EnrollmentStatus = "pending" or "enrolled" or "waived" or "inactive"` * `pending` - Pending * `enrolled` - Enrolled * `waived` - Waived * `inactive` - Inactive - `"pending"` - `"enrolled"` - `"waived"` - `"inactive"`